<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css" media="screen">
		
		content{
			display: grid;
			grid-template-columns: 1fr 1fr 1fr;
			grid-template-rows: 1fr;
			grid-template-areas: 
			"divA divB divC";
			min-height: 80vh;
			grid-gap: 1%;
		}
		div{
			border-radius: 15px;
		}
		#divA{
			grid-area: divA;
			display: grid;
			grid-template-columns: 1fr 1fr;
			grid-template-rows: 1.5fr 0.3fr 0.7fr 1fr;
			grid-template-areas: 
			"moradoA moradoA"
			"verdeA azulA"
			"verdeA RojoA"
			"verdeAA verdeAA";
			grid-gap: 3%;

		}
			#moradoA{
				grid-area: moradoA;
				background-color: purple;
			}
			#verdeA{
				grid-area: verdeA;
				background-color: green;
			}
			#azulA{
				grid-area: azulA;
				background-color: blue;
			}
			#RojoA{
				grid-area: RojoA;
				background-color: red;
			}
			#verdeAA{
				grid-area: verdeAA;
				background-color: lime;
			}
		#divB{
			grid-area: divB;
			display: grid;
			grid-template-columns: 1fr 1fr;
			grid-template-rows: 0.2fr 1fr 0.8fr;
			grid-template-areas: 
			"verdeB AzulB"
			"verdeB rojoB"
			"moradoB moradoB";
			grid-gap: 3%;
		}
			#verdeB{
				background-color: green;
				grid-area: verdeB;
			}
			#AzulB{
				background-color: blue;
				grid-area: AzulB;
			}
			#rojoB{
				grid-area: rojoB;
				background-color: red;
			}
			#moradoB{
				grid-area: moradoB;
				background-color: purple;
			}
		#divC{
			grid-area: divC;
			display: grid;
			grid-template-columns: 0.2fr 1fr;
			grid-template-rows: 1fr 1fr 2fr 0.3fr;
			grid-template-areas: 
			"verdeC verdeC"
			"azulC rojoC"
			"moradoC moradoC"
			"azulCC azulCC";
			grid-gap: 3%;
		}
			#verdeC{
				grid-area: verdeC;
				background-color: green;
			}
			#azulC{
				grid-area: azulC;
				background-color: blue;
			}
			#rojoC{
				grid-area: rojoC;
				background-color: red;
			}
			#moradoC{
				grid-area: moradoC;
				background-color: purple;
			}
			#azulCC{
				grid-area: azulCC;
				background-color: aqua;
			}
	</style>
</head>
<body>
	<content>
		<div id="divA">
			<div id="moradoA"></div>
			<div id="verdeA"></div>
			<div id="azulA"></div>
			<div id="RojoA"></div>
			<div id="verdeAA"></div>
		</div>
		<div id="divB">
			<div id="verdeB"></div>
			<div id="AzulB"></div>
			<div id="rojoB"></div>
			<div id="moradoB"></div>
		</div>
		<div id="divC">
			<div id="verdeC"></div>
			<div id="azulC"></div>
			<div id="rojoC"></div>
			<div id="moradoC"></div>
			<div id="azulCC"></div>
		</div>	
	</content>
	
</body>
</html>